SSL with subversion issue

Joe Orton joe at manyfish.co.uk
Mon Dec 6 17:49:00 EST 2010


On Sun, Nov 28, 2010 at 06:29:47PM -0800, Grayson Koonce wrote:
> I'm not sure if this has been noted but there is an issue with 0.29.3 (at
> least) that causes subversion to not be able to permanently accept
> certificates, always delivering an error.
> 
>  - The certificate has expired.
>  - The certificate has an unknown error.

I'm not sure what you desire to be changed in neon here.  As referenced 
in one of those threads, Subversion does not handle the NE_SSL_BADCHAIN 
cert verification error.

The cause is a CA chain which contains an expired certificate.

Regards, Joe



More information about the neon mailing list